 @-webkit-keyframes spincube {
    from,to  { -webkit-transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg); }
    16%      { -webkit-transform: rotateY(-90deg);                           }
    33%      { -webkit-transform: rotateY(-90deg) rotateZ(90deg);            }
    50%      { -webkit-transform: rotateY(-180deg) rotateZ(90deg);           }
    66%      { -webkit-transform: rotateY(-270deg) rotateX(90deg);           }
    83%      { -webkit-transform: rotateX(90deg);                            }
  }

  @keyframes spincube {
    from,to {
      -moz-transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg);
      -ms-transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg);
      transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg);
    }
    16% {
      -moz-transform: rotateY(-90deg);
      -ms-transform: rotateY(-90deg);
      transform: rotateY(-90deg);
    }
    33% {
      -moz-transform: rotateY(-90deg) rotateZ(90deg);
      -ms-transform: rotateY(-90deg) rotateZ(90deg);
      transform: rotateY(-90deg) rotateZ(90deg);
    }
    50% {
      -moz-transform: rotateY(-180deg) rotateZ(90deg);
      -ms-transform: rotateY(-180deg) rotateZ(90deg);
      transform: rotateY(-180deg) rotateZ(90deg);
    }
    66% {
      -moz-transform: rotateY(-270deg) rotateX(90deg);
      -ms-transform: rotateY(-270deg) rotateX(90deg);
      transform: rotateY(-270deg) rotateX(90deg);
    }
    83% {
      -moz-transform: rotateX(90deg);
      -ms-transform: rotateX(90deg);
      transform: rotateX(90deg);
    }
  }

.cubespinner {
  -webkit-animation-name: spincube;
  -webkit-animation-timing-function: ease-in-out;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-duration: 15s;
  animation-name: spincube;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
  animation-duration: 15s;
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-transform-origin: 150px 150px 0;
  -moz-transform-origin: 150px 150px 0;
  -ms-transform-origin: 150px 150px 0;
  transform-origin: 150px 150px 0;

  top: 5%;
  left: 35%;
}

.cubespinner div {
  position: absolute;
  width: 300px;
  height: 300px;
  border: 1px solid #ccc;
  background: rgba(255,255,255,.8);
  box-shadow: inset 0 0 20px rgba(0,0,0,.2);
  text-align: center;
  font-size: 100px;
}

.cubespinner img {
  max-height: 300px;
  max-width: 300px;

}
.cubespinner .face1 {
  -webkit-transform: translateZ(150px);
  -moz-transform: translateZ(150px);
  -ms-transform: translateZ(150px);
  transform: translateZ(150px);
}

.cubespinner .face2 {
  -webkit-transform: rotateY(90deg) translateZ(150px);
  -moz-transform: rotateY(90deg) translateZ(150px);
  -ms-transform: rotateY(90deg) translateZ(150px);
  transform: rotateY(90deg) translateZ(150px);
}

.cubespinner .face3 {
  -webkit-transform: rotateY(90deg) rotateX(90deg) translateZ(150px);
  -moz-transform: rotateY(90deg) rotateX(90deg) translateZ(150px);
  -ms-transform: rotateY(90deg) rotateX(90deg) translateZ(150px);
  transform: rotateY(90deg) rotateX(90deg) translateZ(150px);
}

.cubespinner .face4 {
  -webkit-transform: rotateY(180deg) rotateZ(90deg) translateZ(150px);
  -moz-transform: rotateY(180deg) rotateZ(90deg) translateZ(150px);
  -ms-transform: rotateY(180deg) rotateZ(90deg) translateZ(150px);
  transform: rotateY(180deg) rotateZ(90deg) translateZ(150px);
}

.cubespinner .face5 {
  -webkit-transform: rotateY(-90deg) rotateZ(90deg) translateZ(150px);
  -moz-transform: rotateY(-90deg) rotateZ(90deg) translateZ(150px);
  -ms-transform: rotateY(-90deg) rotateZ(90deg) translateZ(150px);
  transform: rotateY(-90deg) rotateZ(90deg) translateZ(150px);
}

.cubespinner .face6 {
  -webkit-transform: rotateX(-90deg) translateZ(150px);
  -moz-transform: rotateX(-90deg) translateZ(150px);
  -ms-transform: rotateX(-90deg) translateZ(150px);
  transform: rotateX(-90deg) translateZ(150px);
}